import Panel from "../../libs/new_wx/components/Panel";
import getsubmitUrl from "../getsubmitUrl";


export default class ReFusePanel extends Panel {
    start(data) {
        super.start();
        this[`status${data}`].visible=true;
        if(data == ReFuseType.TIMEOUT) {
            this['inviteBtn'].visible=false;
            this['okbtn'].horizontalCenter=0;
        }else {

        }

        this['inviteBtn'].addEventListener(egret.TouchEvent.TOUCH_TAP,this.ontap_inviteBtn,this);
    }
    
    ontap_inviteBtn(){
        getsubmitUrl();
    }
    
    protected get closeBtns(): eui.Button[] { return [this['closeBtn'],this['okbtn']] }
    get skinKey() { return 'ReFuse' }
    get skinResKey() { return 'result' }
}
export enum ReFuseType {
    TIMEOUT=0,
    ReFuse=1
}